#include <cmath>

void cmll(const double *x, const double *y, const int n, const double b0, const double b1, double *rmll)
{
   double mll = 0.0;
   double eta=0.0;
   double eeta=0.0;
   double py1 = 0.0;
   for(int i=0;i<n;i++) {
      eta = b0 + b1*x[i];
      eeta = exp(eta);
      py1 = eeta/(1.0 + eeta);
      if(y[i]) {
         mll -= log(py1);
      } else {
         mll -= log(1.0 - py1);
      }
   }
   *rmll = mll;
}


