

##################################################
## simulate data
n = 5000 #sample size
beta = c(1,.5) # true (intercept, slope)

## storage for simulation results
## py1 = F(beta[1] + beta[2]x), y ~ Bern(py1)
x = rep(0,n)
y = rep(0,n)
py1 = rep(0,n)

## simulate
set.seed(34)
for(i in 1:n) {
   x[i] = rnorm(1)
   py1[i] = 1/(1 + exp(-(beta[1] + beta[2]*x[i])))
   y[i] = rbinom(1,1,py1[i])
}

##################################################
## write

write.table(x,file='x.txt',col.names=FALSE,row.names=FALSE)
write.table(y,file='y.txt',col.names=FALSE,row.names=FALSE)
write.table(beta,file='b.txt',col.names=FALSE,row.names=FALSE)
ndo=10000L
write.table(ndo, file='d.txt',col.names=FALSE,row.names=FALSE)

