
#include <iostream>
#include <fstream>
#include <ctime>
#include <vector>

#include "cmll.h"

int main() {

   std::cout << "\n####### into main of tcmll\n";

   //--------------------------------------------------
   // what is pointer?
   int ii = 14;
   std::cout << "ii is " << ii << "\n\n";
   int *pii = &ii;
   std::cout << "pointer to ii  is " << pii << "\n\n";
   std::cout << "ii  from pointer is " << *pii << "\n\n";

   //--------------------------------------------------
   //read in y
   std::vector<double> y;
   double ytemp;
   std::ifstream yf("y.txt");
   while(yf >> ytemp)
      y.push_back(ytemp);

   size_t n = y.size();
   std::cout << "n from y.txt: " << n << std::endl;
   std::cout << "first and last y: " << y[0] << ", " << y[n-1] << std::endl;

   //--------------------------------------------------
   //read in x
   std::vector<double> x;
   double xtemp;
   std::ifstream xf("x.txt");
   while(xf >> xtemp)
      x.push_back(xtemp);

   size_t nx = x.size();
   std::cout << "n from x.txt: " << nx << std::endl;
   std::cout << "first and last x: " << x[0] << ", " << x[nx-1] << std::endl;

   //--------------------------------------------------
   // read in b
   double b0,b1;
   std::ifstream bf("b.txt");
   bf >> b0;
   bf >> b1;
   std::cout << "b0,b1: " << b0 << ", " << b1 << std::endl;

   //--------------------------------------------------
   // read ndo 
   int ndo = 1;
   std::ifstream ndf("d.txt");
   ndf >> ndo;
   std::cout << "\n\n&&& ndo: " << ndo << "\n\n";
   

   // void cmll(const double *x, const double *y, const int n, const double b0, const double b1, double *rmll);
   double rmll;
   time_t tp;
   int time1 = time(&tp);
   for(int i=0;i<ndo;i++) {
      cmll(&x[0],&y[0],n,b0,b1,&rmll);
   }
   int time2 = time(&tp);
   std::cout << "time for ndo = " << ndo << " calls to cmll is " << time2-time1 << std::endl;
   std::cout << "\n\n****** in C++ rmll: " << rmll << std::endl;
   std::cout << "\n@@@@@@@@@@@ done tcmll\n\n";

   return 0;
}
